ApplicationConfigurationControllerSetConfigValue Method |
PUT /ApplicationConfiguration/
Set an application setting value.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public IActionResult SetConfigValue(
[FromBodyAttribute] ConfigValueOptions options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function SetConfigValue (
<FromBodyAttribute> options As ConfigValueOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ SetConfigValue(
[FromBodyAttribute] ConfigValueOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member SetConfigValue :
[<FromBodyAttribute>] options : ConfigValueOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsConfigValueOptions
An object that carries all needed information about the setting values that needs to be set. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A status code indicating whether there was an error setting the value.
If the value was successfully set, but testing it yielded a warning, the warning
will be returned as a
String.
See Also